Subiject: SQL-ERROR: Specified key was too long

Description

In the upgrade process from 6.0 to 6.2 | get this error

Update failed!

SQL-ERROR: Specified key was too long; max key length is 1000 bytes

Update database schema: Modify tables and fields

ALTER TABLE sys_file_processedfile CHANGE identifier identifier varchar(512) default ";

Related issues:
related to Core - Bug # 56786: Index on sys_file_processedfile is too large

related to Core - Bug # 57002: SQL-Errors while Upgrading the database with U...

related to Core - Bug # 57421: Update database scheme still fails

Resolved
Resolved
Resolved

2014-03-11
2014-03-17
2014-03-28

History

#1 - 2014-04-10 13:31 - Markus Klein

- Category set to Install Tool

- Status changed from New to Accepted

- Priority changed from Should have to Must have

- Target version set to next-patchlevel

Happens on upgrading from 6.x.

#2 - 2014-04-10 13:56 - Markus Klein

In 6.0 the identifier field has varchar(200).
The wizard tries to extend the field to varchar(512) which fails somehow.

| suspect the reason is the associated index with the same name.

Maybe it helps to remove the index first (manually in the DB) and let the wizard try the step again. It should then be able to extend the field and

re-create the index automatically.

#3 - 2014-04-28 17:34 - Oliver Hader
- File forge_57805.png added
Database analyzer

Change fields
] select/deselect all

[  ALTER TABLE sys_file_processedfile CHANGE identifier identifier varchar({512) default '';

Current value: varchar({256) default

O  ALTER TABLE sys_file_processedfile DROP KEY identifier;

[  ALTER TABLE sys_file_processedfile ADD KEY identifier (storage,identifier{199}};

The reason seems to be the processing order and the fact the the existing index is not limited. Thus, it should be:

1. drop index (DROP KEY identifier)
2. modify field (CHANGE identifier)
3. create index (ADD KEY identifier)

#4 - 2014-04-28 18:30 - Markus Klein

That's what | wrote above. But do we have a chance to do that automatically?

#5 - 2014-05-02 16:12 - Nicole Cordes
- Status changed from Accepted to Resolved

This issue was solved with patch for http://forge.typo3.org/issues/57421
